=== debian/changelog ===
checkpw (1.02-5) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.7.2.2 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Trim trailing whitespace.
  * Add missing ${misc:Depends} to Depends for checkpw.
  * Use secure URI in debian/watch.
  * Fixed compiler errors and warnings from GCC 14 (Closes: #1074879).

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 07 Nov 2024 01:11:41 +0100

checkpw (1.02-4) unstable; urgency=medium

  * QA upload.
  * Port to dh build system.
  * Remove info from Description that does not belong there.
  * d/watch: Scan sf.net.
  * Drop diet leftovers.

 -- Bastian Germann <bage@debian.org>  Fri, 05 Apr 2024 18:14:33 +0200

checkpw (1.02-3) unstable; urgency=medium

  * QA upload.
  * Convert to 3.0 source format (Closes: #1007397).
  * d/copyright: Convert to machine-readable format.
  * Use "that" over "which" in package short description (Closes: #856829).
  * Remove diet README.

 -- Bastian Germann <bage@debian.org>  Wed, 23 Nov 2022 22:02:57 +0100

checkpw (1.02-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #947694)

 -- Marcos Talau <talau@debian.org>  Sat, 12 Nov 2022 07:43:36 -0300

checkpw (1.02-1.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Chris Lamb ]
  * Remove timestamps from the build system (Closes: #777299)

  [ Vagrant Cascadian ]
  * debian/rules: Add -ffile-prefix-map to CFLAGS to avoid embedding build
    paths. (Closes: #1020887)

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Thu, 20 Oct 2022 11:41:55 -0700

checkpw (1.02-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * CVE-2015-0885: Fix denial of service via -- in usernames (Closes: #780139)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 13 Mar 2015 14:49:55 +0100

checkpw (1.02-1) unstable; urgency=low

  * new upstream point release.
  * debian/diff/env-MAILDIR.diff; replaced with
    debian/diff/0001-bug-304737-default-Maildir-may-be-overridden-thro.diff.
  * debian/checkpw.8, debian/checkapoppw.8: default 'Maildir' may be
    overridden through the env variable $MAILDIR.
  * debian/implicit: add proper dependencies to support 'parallel build'
    through make -j (thx Daniel Schepler for the patch, closes: #445817).
  * debian/rules: target patch:, clean: apply diffs from debian/diff/ with
    -p1 instead of -p0.
  * debian/control: Standards-Version: 3.7.2.2.

 -- Gerrit Pape <pape@smarden.org>  Tue, 11 Dec 2007 10:21:45 +0000

checkpw (1.01-1) unstable; urgency=low

  * new upstream point release.
  * debian/diff/errno.diff: remove; fixed upstream.
  * debian/implicit: update to revision 1.10.
  * debian/checkpw.README.Debian: minor cleanup.
  * debian/rules: cleanup; support DEB_BUILD_OPTIONS=diet to build against
    diet libc.
  * debian/diff/env-MAILDIR.diff: new; default 'Maildir' may be overidden
    through the environment variable $MAILDIR (closes: #304737).
  * debian/README.Debian.diet: new; how to build package with the diet
    libc.
  * debian/checkpw.docs: add debian/README.Debian.diet.

 -- Gerrit Pape <pape@smarden.org>  Tue, 27 Sep 2005 19:41:19 +0000

checkpw (1.00-3) unstable; urgency=low

  * debian/control: no longer Build-Depends: debhelper; fix typo in
    Description.
  * debian/rules: stop using debhelper, use implicit rules.
  * debian/implicit: new; implicit Makefile rules.
  * debian/README.Debian: rename to debian/checkpw.README.Debian.
  * debian/dirs, debian/docs, debian/examples: remove; obsolete.
  * debian/checkpw.docs, debian/checkpw.examples: new.

 -- Gerrit Pape <pape@smarden.org>  Mon, 29 Dec 2003 13:08:16 +0000

checkpw (1.00-2) unstable; urgency=low

  * debian/control: Standards-Version: 3.6.1.0; minor changes to the long
    description.
  * debian/rules: remove target configure; add target patch: apply diffs
    in debian/diff/; target clean: reverse apply debian/diff/*.
  * debian/diff/errno.diff: new: extern int errno -> #include <errno.h>.

 -- Gerrit Pape <pape@smarden.org>  Mon, 10 Nov 2003 08:45:34 +0000

checkpw (1.00-1) unstable; urgency=low

  * new upstream version.
  * debian/rules: do not install /etc/checkpw plus subdirs, but install
    service directories as examples; install binaries in /usr/bin/,
    omit loginlog and selectcheckpw programs, install them as examples;
    provide upstream run-script examples.
  * debian/control: Standards-Version: 3.5.8; strip down Build-Depends
    and Depends.
  * debian/copyright: adapt.
  * 1st official debian package (closes: #182681).
  * debian/postinst, debian/postrm: remove.

 -- Gerrit Pape <pape@smarden.org>  Tue,  4 Mar 2003 14:42:32 +0100

checkpw (0.70-0.5) woody; urgency=low

  * debian/postinst: change function declaration syntax (bashism?) to
    support more /bin/sh shells.

 -- Gerrit Pape <pape@smarden.org>  Mon,  8 Apr 2002 15:09:55 +0200

checkpw (0.70-0.4) woody; urgency=low

  * woody package.
  * pop username and client ip is logged on login.

 -- Gerrit Pape <pape@innominate.com>  Tue, 14 Aug 2001 16:06:10 +0200

checkpw (0.70-0.3) unstable; urgency=low

  * logs are stored in /var/log/pop/ or /var/log/apop/, accessible through
    /var/service/[a]pop/log/main/.
  * /etc/checkpw/.qmail-start removed.
  * depends on qmail-run >= 0.2.0.

 -- Gerrit Pape <pape@innominate.com>  Mon, 23 Apr 2001 23:47:11 +0200

checkpw (0.70-0.2) unstable; urgency=low

  * run tcpserver with softlimit -m 2000000.

 -- Gerrit Pape <pape@innominate.com>  Thu, 19 Apr 2001 15:54:21 +0200

checkpw (0.70-0.1) unstable; urgency=low

  * Initial Release.

 -- Gerrit Pape <pape@innominate.com>  Sat, 24 Mar 2001 19:31:31 +0100
