=== debian/control ===
Source: checkpw
Section: mail
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13),
               dpkg-build-api (= 1),
Vcs-Browser: https://salsa.debian.org/debian/checkpw
Vcs-Git: https://salsa.debian.org/debian/checkpw.git

Package: checkpw
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: checks password that is stored in ~/Maildir/.password
 checkpw is an implementation of the checkpassword interface that checks a
 password against a ``.password'' file in the user's Maildir. The password
 file has read and write permissions to the user only.
