=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

execute_before_dh_auto_configure:
	for i in conf-*; do \
	  test -e $${i%'{orig}'}'{orig}' || cp -v $$i $$i'{orig}'; \
	done
	echo '$(CC) $(CFLAGS)' >conf-cc
	echo '$(CC) $(LDFLAGS)' >conf-ld
	echo /usr >conf-home

execute_before_dh_clean:
	rm -f `cat TARGETS`
	for i in `ls *'{orig}' || :`; do mv -vf $$i $${i%'{orig}'}; done
