=== debian/watch ===
version=4
https://sf.net/checkpw/checkpw-(\d\S+)\.tar\.gz
